Loading...
Searching...
No Matches
casacore::MSStateColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSStateColumns.h>`

## Public Member Functions

| MSStateColumns (const MSState &msState)
| Create a columns object that accesses the data in the specified Table.
| ~MSStateColumns ()
| The destructor does nothing special.
ScalarColumn< Double > & | cal ()
| Access to required columns.
ScalarQuantColumn< Double > & | calQuant ()
ScalarColumn< Bool > & | flagRow ()
ScalarColumn< Double > & | load ()
ScalarQuantColumn< Double > & | loadQuant ()
ScalarColumn< String > & | obsMode ()
ScalarColumn< Bool > & | ref ()
ScalarColumn< Bool > & | sig ()
ScalarColumn< Int > & | subScan ()
const ScalarColumn< Double > & | cal () const
| Const access to required columns.
const ScalarQuantColumn< Double > & | calQuant () const
const ScalarColumn< Bool > & | flagRow () const
const ScalarColumn< Double > & | load () const
const ScalarQuantColumn< Double > & | loadQuant () const
const ScalarColumn< String > & | obsMode () const
const ScalarColumn< Bool > & | ref () const
const ScalarColumn< Bool > & | sig () const
const ScalarColumn< Int > & | subScan () const
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
Int64 | matchState (const Quantum< Double > &stateCalQ, const Quantum< Double > &stateLoadQ, const String &stateObsMode, const Bool &stateRef, const Bool &stateSig, const Int &stateSubScan, const Quantum< Double > &tolerance, Int64 tryRow=-1)
| Returns the last row that contains a state with the specified values.

## Protected Member Functions

| MSStateColumns ()
void | attach (const MSState &msState)

## Private Member Functions

| MSStateColumns (const MSStateColumns &)
MSStateColumns & | operator= (const MSStateColumns &)

## Private Attributes

ScalarColumn< Double > | cal_p
ScalarColumn< Bool > | flagRow_p
ScalarColumn< Double > | load_p
ScalarColumn< String > | obsMode_p
ScalarColumn< Bool > | ref_p
ScalarColumn< Bool > | sig_p
ScalarColumn< Int > | subScan_p
ScalarQuantColumn< Double > | calQuant_p
| Access to Quantum columns.
ScalarQuantColumn< Double > | loadQuant_p

## Detailed Description

A class to provide easy access to MSState columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSState
- ScalarColumn

### Etymology

MSStateColumns stands for MeasurementSet State Table columns.

### Synopsis

This class provides access to the columns in the MSState Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 70 of file MSStateColumns.h.

## Constructor & Destructor Documentation

## MSStateColumns() [1/3]

casacore::MSStateColumns::MSStateColumns | ( | const MSState & | msState | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSStateColumns(), and operator=().

## ~MSStateColumns()

casacore::MSStateColumns::~MSStateColumns | ( |  | ) |

The destructor does nothing special.

## MSStateColumns() [2/3]

casacore::MSStateColumns::MSStateColumns | ( |  | ) |

protected

## MSStateColumns() [3/3]

casacore::MSStateColumns::MSStateColumns | ( | const MSStateColumns & |  | ) |

private

References MSStateColumns().

## Member Function Documentation

## attach()

void casacore::MSStateColumns::attach | ( | const MSState & | msState | ) |

protected

## cal() [1/2]

ScalarColumn< Double > & casacore::MSStateColumns::cal | ( |  | ) |

inline

Access to required columns.

Definition at line 81 of file MSStateColumns.h.

References cal_p.

## cal() [2/2]

const ScalarColumn< Double > & casacore::MSStateColumns::cal | ( |  | ) | const

inline

Const access to required columns.

Definition at line 94 of file MSStateColumns.h.

References cal_p.

## calQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSStateColumns::calQuant | ( |  | ) |

inline

Definition at line 82 of file MSStateColumns.h.

References calQuant_p.

## calQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSStateColumns::calQuant | ( |  | ) | const

inline

Definition at line 95 of file MSStateColumns.h.

References calQuant_p.

## flagRow() [1/2]

ScalarColumn< Bool > & casacore::MSStateColumns::flagRow | ( |  | ) |

inline

Definition at line 83 of file MSStateColumns.h.

References flagRow_p.

## flagRow() [2/2]

const ScalarColumn< Bool > & casacore::MSStateColumns::flagRow | ( |  | ) | const

inline

Definition at line 96 of file MSStateColumns.h.

References flagRow_p.

## load() [1/2]

ScalarColumn< Double > & casacore::MSStateColumns::load | ( |  | ) |

inline

Definition at line 84 of file MSStateColumns.h.

References load_p.

## load() [2/2]

const ScalarColumn< Double > & casacore::MSStateColumns::load | ( |  | ) | const

inline

Definition at line 97 of file MSStateColumns.h.

References load_p.

## loadQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSStateColumns::loadQuant | ( |  | ) |

inline

Definition at line 85 of file MSStateColumns.h.

References loadQuant_p.

## loadQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSStateColumns::loadQuant | ( |  | ) | const

inline

Definition at line 98 of file MSStateColumns.h.

References loadQuant_p.

## matchState()

Int64 casacore::MSStateColumns::matchState | ( | const Quantum< Double > & | stateCalQ,
|  | const Quantum< Double > & | stateLoadQ,
|  | const String & | stateObsMode,
|  | const Bool & | stateRef,
|  | const Bool & | stateSig,
|  | const Int & | stateSubScan,
|  | const Quantum< Double > & | tolerance,
|  | Int64 | tryRow = -1 )

Returns the last row that contains a state with the specified values.

For Cal and Load, the tolerance is applied in the match. Returns -1 if no match could be found. Flagged rows can never match. If tryRow is non-negative, then that row is tested to see if it matches before any others are tested. Setting tryRow to a positive value greater than the table length will throw an exception (AipsError), when compiled in debug mode.

## nrow()

rownr_t casacore::MSStateColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Definition at line 106 of file MSStateColumns.h.

References cal_p.

## obsMode() [1/2]

ScalarColumn< String > & casacore::MSStateColumns::obsMode | ( |  | ) |

inline

Definition at line 86 of file MSStateColumns.h.

References obsMode_p.

## obsMode() [2/2]

const ScalarColumn< String > & casacore::MSStateColumns::obsMode | ( |  | ) | const

inline

Definition at line 99 of file MSStateColumns.h.

References obsMode_p.

## operator=()

MSStateColumns & casacore::MSStateColumns::operator= | ( | const MSStateColumns & |  | ) |

private

References MSStateColumns().

## ref() [1/2]

ScalarColumn< Bool > & casacore::MSStateColumns::ref | ( |  | ) |

inline

Definition at line 87 of file MSStateColumns.h.

References ref_p.

## ref() [2/2]

const ScalarColumn< Bool > & casacore::MSStateColumns::ref | ( |  | ) | const

inline

Definition at line 100 of file MSStateColumns.h.

References ref_p.

## sig() [1/2]

ScalarColumn< Bool > & casacore::MSStateColumns::sig | ( |  | ) |

inline

Definition at line 88 of file MSStateColumns.h.

References sig_p.

## sig() [2/2]

const ScalarColumn< Bool > & casacore::MSStateColumns::sig | ( |  | ) | const

inline

Definition at line 101 of file MSStateColumns.h.

References sig_p.

## subScan() [1/2]

ScalarColumn< Int > & casacore::MSStateColumns::subScan | ( |  | ) |

inline

Definition at line 89 of file MSStateColumns.h.

References subScan_p.

## subScan() [2/2]

const ScalarColumn< Int > & casacore::MSStateColumns::subScan | ( |  | ) | const

inline

Definition at line 102 of file MSStateColumns.h.

References subScan_p.

## Member Data Documentation

## cal_p

ScalarColumn<Double> casacore::MSStateColumns::cal_p

private

Definition at line 139 of file MSStateColumns.h.

Referenced by cal(), cal(), and nrow().

## calQuant_p

ScalarQuantColumn<Double> casacore::MSStateColumns::calQuant_p

private

Access to Quantum columns.

Definition at line 148 of file MSStateColumns.h.

Referenced by calQuant(), and calQuant().

## flagRow_p

ScalarColumn<Bool> casacore::MSStateColumns::flagRow_p

private

Definition at line 140 of file MSStateColumns.h.

Referenced by flagRow(), and flagRow().

## load_p

ScalarColumn<Double> casacore::MSStateColumns::load_p

private

Definition at line 141 of file MSStateColumns.h.

Referenced by load(), and load().

## loadQuant_p

ScalarQuantColumn<Double> casacore::MSStateColumns::loadQuant_p

private

Definition at line 149 of file MSStateColumns.h.

Referenced by loadQuant(), and loadQuant().

## obsMode_p

ScalarColumn<String> casacore::MSStateColumns::obsMode_p

private

Definition at line 142 of file MSStateColumns.h.

Referenced by obsMode(), and obsMode().

## ref_p

ScalarColumn<Bool> casacore::MSStateColumns::ref_p

private

Definition at line 143 of file MSStateColumns.h.

Referenced by ref(), and ref().

## sig_p

ScalarColumn<Bool> casacore::MSStateColumns::sig_p

private

Definition at line 144 of file MSStateColumns.h.

Referenced by sig(), and sig().

## subScan_p

ScalarColumn<Int> casacore::MSStateColumns::subScan_p

private

Definition at line 145 of file MSStateColumns.h.

Referenced by subScan(), and subScan().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSStateColumns.h